> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List analytics sessions

> Lists analytics sessions. Optionally filter by `user_id`. Returns paginated session objects.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /analytics/sessions
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /analytics/sessions:
    parameters: []
    get:
      tags:
        - Analytics
      summary: List analytics sessions
      description: >-
        Lists analytics sessions. Optionally filter by `user_id`. Returns
        paginated session objects.
      operationId: list-analytics-sessions
      parameters:
        - $ref: '#/components/parameters/pageNumber'
        - $ref: '#/components/parameters/pageLimit'
        - $ref: '#/components/parameters/searchKeyword'
        - $ref: '#/components/parameters/columnBasedFilters'
        - name: user_id
          in: query
          description: Filter sessions by the tracked user. Omit to retrieve all sessions.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      sessions:
                        type: array
                        items:
                          $ref: '#/components/schemas/AnalyticsSession'
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                    type: object
components:
  parameters:
    pageNumber:
      name: page
      in: query
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
      description: page number of pagination list
    pageLimit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        default: 25
        minimum: 1
      description: no of rows per page
    searchKeyword:
      name: search
      in: query
      required: false
      schema:
        type: string
      description: search keyword
    columnBasedFilters:
      name: filters
      in: query
      required: false
      schema:
        type: string
        example: >-
          {"condition":"AND","filters":[{"type":"data","field":"status","operator":"equals","value":"success"}]}
      description: JSON object
  schemas:
    AnalyticsSession:
      title: AnalyticsSession
      type: object
      properties:
        id:
          type: string
        last_seen:
          type: string
          format: date-time
        origin_url:
          type:
            - string
            - 'null'
        origin_source:
          type:
            - string
            - 'null'
        utm_params:
          oneOf:
            - $ref: '#/components/schemas/UtmParam'
            - type: 'null'
        initial_origin_source:
          type:
            - string
            - 'null'
        initial_utm_params:
          oneOf:
            - $ref: '#/components/schemas/UtmParam'
            - type: 'null'
        initial_origin_url:
          type:
            - string
            - 'null'
        user_id:
          type: string
        is_anonymous:
          type: boolean
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
    Pagination:
      title: Pagination
      description: pagination metadata structure
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        previous_page:
          description: Previous page number
          type:
            - integer
            - 'null'
        limit:
          type: integer
          default: 25
        next_page:
          description: Next page number
          type:
            - integer
            - 'null'
    UtmParam:
      title: UtmParam
      type: object
      required:
        - utm_source
        - utm_campaign
        - utm_medium
      properties:
        utm_source:
          type:
            - string
            - 'null'
        utm_campaign:
          type:
            - string
            - 'null'
        utm_medium:
          type:
            - string
            - 'null'
      additionalProperties: true
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````